apiVersion: apps/v1
kind: Deployment
metadata :
  name: paymentservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: paymentservice
  template:
    metadata:
      labels:
        app: paymentservice
    spec:
      containers:
        - name: service
          image: gcr.io/google-samples/microservices-demo/.....:v0.2.3
          ports:
            - containerPort: 50051
          env: 
            - name: PORT
              value/valueFrom: "50051" 
          livenessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
          readinessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
---
apiVersion: v1  
kind: Service
metadata:
  name: paymentservice
spec:
  type: ClusterIP
  selector:
    app: paymentservice 
  ports:
    - protocol: TCP
      port: 50051 
      targetPort: 50051

